Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server
Class InitialContextImpl

    java.lang.Object
      |
      +--oracle.jbo.common.JboInitialContext
            |
            +--oracle.jbo.server.InitialContextImpl

public class InitialContextImpl
extends JboInitialContext

Internal: Applications should not use this class.

Initial context implementation for the LOCAL_PLATFORM. Provides the ApplicationModuleHome for LOCAL platfrom i.e 2-tier environment.

Since:
  JDeveloper 3.0

Constructor Summary
`InitialContextImpl(java.util.Hashtable env)` Create a initial context for the given environment

Method Summary
`protected JboHome` | `createJboHome(java.lang.String publishedName)` Factory method for creating ApplicationModuleHome pertinent for the local platfrom.

Methods inherited from class oracle.jbo.common.JboInitialContext
`addToEnvironment, bind, bind, close, composeName, composeName, createSubcontext, createSubcontext, destroySubcontext, destroySubcontext, getEnvironment, getNameInNamespace, getNameParser, getNameParser, list, list, listBindings, listBindings, lookup, lookup, lookupLink, lookupLink, rebind, rebind, removeFromEnvironment, rename, rename, unbind, unbind`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InitialContextImpl

    public InitialContextImpl(java.util.Hashtable env)

  Create a initial context for the given environment
  Parameters:
    `Internal:` - Applications should not use this class or method.

Method Detail

### createJboHome

    protected JboHome createJboHome(java.lang.String publishedName)
                             throws javax.naming.NamingException

  Factory method for creating ApplicationModuleHome pertinent for the local platfrom.
  Overrides:
    createJboHome in class JboInitialContext
  Parameters:
    `publishedName` - Defname of the the application module for which the home is being requested.
  Throws:
    javax.naming.NamingException - If the definition is invalid or cannot be loaded Internal: Applications should not use this class or method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD